import 'package:flutter/material.dart';

class FontFamilyProvider {
  static TextTheme textTheme(String fontName) {
    return TextTheme(
      headline1: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w200,
        fontSize: 96.0,
        wordSpacing: -1.5,
      ),
      headline2: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w200,
        fontSize: 60.0,
        wordSpacing: -0.5,
      ),
      headline3: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w400,
        fontSize: 48.0,
        wordSpacing: 0.0,
      ),
      headline4: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w400,
        fontSize: 34.0,
        wordSpacing: 0.25,
      ),
      headline5: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w400,
        fontSize: 24.0,
        wordSpacing: 0.0,
      ),
      headline6: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w500,
        fontSize: 20.0,
        wordSpacing: 0.15,
      ),
      subtitle1: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w400,
        fontSize: 16.0,
        wordSpacing: 0.15,
      ),
      subtitle2: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w500,
        fontSize: 14.0,
        wordSpacing: 0.1,
      ),
      bodyText1: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w400,
        fontSize: 16.0,
        wordSpacing: 0.5,
      ),
      bodyText2: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w400,
        fontSize: 14.0,
        wordSpacing: 0.25,
      ),
      caption: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w400,
        fontSize: 12.0,
        wordSpacing: 0.4,
      ),
      button: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w500,
        fontSize: 14.0,
        wordSpacing: 1.25,
      ),
      overline: TextStyle(
        fontFamily: fontName,
        package: 'vazir_font_family',
        fontWeight: FontWeight.w400,
        fontSize: 10.0,
        wordSpacing: 1.5,
      ),
    );
  }
}
